/**
 * Based on https://github.com/transmute-industries/verifiable-data/blob/main/packages/web-crypto-key-pair/src/compression/ec-compression.ts
 */
import { KeyType } from '../../KeyType';
export type CompressableKey = KeyType.K256 | KeyType.P256 | KeyType.P384 | KeyType.P521;
/**
 * Point compress elliptic curve key
 * @return Compressed representation
 */
export declare function compressECPoint(x: Uint8Array, y: Uint8Array): Uint8Array;
export declare function compress(publicKey: Uint8Array): Uint8Array;
export declare function compressIfPossible(publicKey: Uint8Array, keyType: KeyType): Uint8Array;
export declare function expandIfPossible(publicKey: Uint8Array, keyType: KeyType): Uint8Array;
export declare function expand(publicKey: Uint8Array, curve: CompressableKey): Uint8Array;
export declare const PREFIX_UNCOMPRESSED = 4;
export declare const PREFIX_COMPRESSED_Y_IS_ODD = 3;
export declare const PREFIX_COMPRESSED_Y_IS_EVEN = 2;
export declare function isValidCompressedPublicKey(publicKey: Uint8Array, keyType: KeyType): boolean;
export declare function isValidUncompressedPublicKey(publicKey: Uint8Array, keyType: KeyType): boolean;
